libgimpprint API Reference: include/gimp-print/bit-ops.h Source File

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/bit-ops.h

Go to the documentation of this file.

    00001 /*
    00002  * "$Id: bit-ops_8h-source.html,v 1.1.1.2 2004/12/22 23:48:56 jlovell Exp $"
    00003  *
    00004  *   Softweave calculator for gimp-print.
    00005  *
    00006  *   Copyright 2000 Charles Briscoe-Smith <cpbs@debian.org>
    00007  *
    00008  *   This program is free software; you can redistribute it and/or modify it
    00009  *   under the terms of the GNU General Public License as published by the Free
    00010  *   Software Foundation; either version 2 of the License, or (at your option)
    00011  *   any later version.
    00012  *
    00013  *   This program is distributed in the hope that it will be useful, but
    00014  *   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    00015  *   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    00016  *   for more details.
    00017  *
    00018  *   You should have received a copy of the GNU General Public License
    00019  *   along with this program; if not, write to the Free Software
    00020  *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00021  */
    00022
    00023 #ifndef GIMP_PRINT_BIT_OPS_H
    00024 #define GIMP_PRINT_BIT_OPS_H
    00025
    00026 #ifdef __cplusplus
    00027 extern "C" {
    00028 #endif
    00029
    00030 extern void     stp_fold(const unsigned char *line, int single_height,
    00031                          unsigned char *outbuf);
    00032
    00033 extern void     stp_split_2(int height, int bits, const unsigned char *in,
    00034                             unsigned char *outhi, unsigned char *outlo);
    00035
    00036 extern void     stp_split_4(int height, int bits, const unsigned char *in,
    00037                             unsigned char *out0, unsigned char *out1,
    00038                             unsigned char *out2, unsigned char *out3);
    00039
    00040 extern void     stp_unpack_2(int height, int bits, const unsigned char *in,
    00041                              unsigned char *outlo, unsigned char *outhi);
    00042
    00043 extern void     stp_unpack_4(int height, int bits, const unsigned char *in,
    00044                              unsigned char *out0, unsigned char *out1,
    00045                              unsigned char *out2, unsigned char *out3);
    00046
    00047 extern void     stp_unpack_8(int height, int bits, const unsigned char *in,
    00048                              unsigned char *out0, unsigned char *out1,
    00049                              unsigned char *out2, unsigned char *out3,
    00050                              unsigned char *out4, unsigned char *out5,
    00051                              unsigned char *out6, unsigned char *out7);
    00052
    00053 #ifdef __cplusplus
    00054   }
    00055 #endif
    00056
    00057 #endif /* GIMP_PRINT_BIT_OPS_H */